# frozen_string_literal: true
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: internal/module/agent_tracker/rpc/rpc.proto

require 'google/protobuf'

require 'google/protobuf/timestamp_pb'
require 'pkg/entity/entity_pb'
require 'buf/validate/validate_pb'


descriptor_data = "\n+internal/module/agent_tracker/rpc/rpc.proto\x12\x1egitlab.agent.agent_tracker.rpc\x1a\x1fgoogle/protobuf/timestamp.proto\x1a\x17pkg/entity/entity.proto\x1a\x1b\x62uf/validate/validate.proto\"H\n%GetConnectedAgentsByProjectIDsRequest\x12\x1f\n\x0bproject_ids\x18\x01 \x03(\x03R\nprojectIds\"B\n#GetConnectedAgentsByAgentIDsRequest\x12\x1b\n\tagent_ids\x18\x01 \x03(\x03R\x08\x61gentIds\"p\n&GetConnectedAgentsByProjectIDsResponse\x12\x46\n\x06\x61gents\x18\x01 \x03(\x0b\x32..gitlab.agent.agent_tracker.rpc.ConnectedAgentR\x06\x61gents\"n\n$GetConnectedAgentsByAgentIDsResponse\x12\x46\n\x06\x61gents\x18\x01 \x03(\x0b\x32..gitlab.agent.agent_tracker.rpc.ConnectedAgentR\x06\x61gents\"#\n!CountAgentsByAgentVersionsRequest\"\xe4\x01\n\"CountAgentsByAgentVersionsResponse\x12|\n\x0e\x61gent_versions\x18\x01 \x03(\x0b\x32U.gitlab.agent.agent_tracker.rpc.CountAgentsByAgentVersionsResponse.AgentVersionsEntryR\ragentVersions\x1a@\n\x12\x41gentVersionsEntry\x12\x10\n\x03key\x18\x01 \x01(\tR\x03key\x12\x14\n\x05value\x18\x02 \x01(\x03R\x05value:\x02\x38\x01\"\xce\x02\n\x0e\x43onnectedAgent\x12\x46\n\nagent_meta\x18\x01 \x01(\x0b\x32\x1e.gitlab.agent.entity.AgentMetaB\x06\xbaH\x03\xc8\x01\x01R\nagent_meta\x12H\n\x0c\x63onnected_at\x18\x02 \x01(\x0b\x32\x1a.google.protobuf.TimestampB\x08\xbaH\x05\xb2\x01\x02*\x00R\x0c\x63onnected_at\x12$\n\rconnection_id\x18\x03 \x01(\x03R\rconnection_id\x12\x1a\n\x08\x61gent_id\x18\x04 \x01(\x03R\x08\x61gent_id\x12\x1e\n\nproject_id\x18\x05 \x01(\x03R\nproject_id\x12H\n\x08warnings\x18\x06 \x03(\x0b\x32,.gitlab.agent.agent_tracker.rpc.AgentWarningR\x08warnings\"q\n\x0c\x41gentWarning\x12O\n\x07version\x18\x01 \x01(\x0b\x32\x33.gitlab.agent.agent_tracker.rpc.AgentWarningVersionH\x00R\x07versionB\x10\n\x07warning\x12\x05\xbaH\x02\x08\x01\"o\n\x13\x41gentWarningVersion\x12!\n\x07message\x18\x01 \x01(\tB\x07\xbaH\x04r\x02 \x01R\x07message\x12\x35\n\x04type\x18\x02 \x01(\tB!\xbaH\x1er\x1cR\x07UNKNOWNR\x08OUTDATEDR\x07TOO_NEWR\x04type2\xa1\x04\n\x0c\x41gentTracker\x12\xb4\x01\n\x1eGetConnectedAgentsByProjectIDs\x12\x45.gitlab.agent.agent_tracker.rpc.GetConnectedAgentsByProjectIDsRequest\x1a\x46.gitlab.agent.agent_tracker.rpc.GetConnectedAgentsByProjectIDsResponse\"\x03\x90\x02\x01\x12\xae\x01\n\x1cGetConnectedAgentsByAgentIDs\x12\x43.gitlab.agent.agent_tracker.rpc.GetConnectedAgentsByAgentIDsRequest\x1a\x44.gitlab.agent.agent_tracker.rpc.GetConnectedAgentsByAgentIDsResponse\"\x03\x90\x02\x01\x12\xa8\x01\n\x1a\x43ountAgentsByAgentVersions\x12\x41.gitlab.agent.agent_tracker.rpc.CountAgentsByAgentVersionsRequest\x1a\x42.gitlab.agent.agent_tracker.rpc.CountAgentsByAgentVersionsResponse\"\x03\x90\x02\x01\x42^Z\\gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/internal/module/agent_tracker/rpcb\x06proto3"

pool = Google::Protobuf::DescriptorPool.generated_pool
pool.add_serialized_file(descriptor_data)

module Gitlab
  module Agent
    module AgentTracker
      module Rpc
        GetConnectedAgentsByProjectIDsRequest = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.agent_tracker.rpc.GetConnectedAgentsByProjectIDsRequest").msgclass
        GetConnectedAgentsByAgentIDsRequest = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.agent_tracker.rpc.GetConnectedAgentsByAgentIDsRequest").msgclass
        GetConnectedAgentsByProjectIDsResponse = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.agent_tracker.rpc.GetConnectedAgentsByProjectIDsResponse").msgclass
        GetConnectedAgentsByAgentIDsResponse = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.agent_tracker.rpc.GetConnectedAgentsByAgentIDsResponse").msgclass
        CountAgentsByAgentVersionsRequest = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.agent_tracker.rpc.CountAgentsByAgentVersionsRequest").msgclass
        CountAgentsByAgentVersionsResponse = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.agent_tracker.rpc.CountAgentsByAgentVersionsResponse").msgclass
        ConnectedAgent = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.agent_tracker.rpc.ConnectedAgent").msgclass
        AgentWarning = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.agent_tracker.rpc.AgentWarning").msgclass
        AgentWarningVersion = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.agent_tracker.rpc.AgentWarningVersion").msgclass
      end
    end
  end
end
